Subject: Re: Alt keys

From: Dominik Vogt <[email-masked]>
Date: Wed, 13 Nov 2002 10:45:18 +0100

On Tue, Nov 12, 2002 at 07:21:53PM -0800, [email-masked] wrote:
> With Alt-polling gone, what are you using in your .fvwm2rc?
> 
> I have
> 
> Key Alt_L   A   N   SendToModule    FvwmProxy   Show
> Key Tab     A   M   SendToModule    FvwmProxy   Next
> Key Q       A   M   SendToModule    FvwmProxy   Hide
> 
> where the alt-Q is a really annoying temporary fix.
> Since I run titleless and almost borderless, all my operations
> are alt-something.
> 
> Is there yet a way to detect a key release?

It is only a temporary shortcoming.  I am just writing a patch for
detecting key releases in the fvwm core.

> I have a fix for properly skipping windows on the other desks.

Well, feel free to commit any patches.  After all it's your module
in the first place :-)
 
> I had a little problem getting the password thing ironed out,
> so he just assigned me one (I haven't tried a new commit yet).
 
> I also had a problem where the select background color is never used.
> You always get the unselected background color.  I have a hack
> to use a nonconditional XFillRectangle instead of XClearWindow which
> doesn't seem to work right even with the if() removed.

Can you elaborate on the problem?  THe XClearWindow() is necessary
in case a transparent colour set is used.

Bye

Dominik ^_^  ^_^

 --
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]